![]() |
API Documentation
|
where {userId} is the ID of a Covata user.
GET - used to retrieve information about a Covata user, based on the user's ID.PUT - used to modify the fields of a Covata user.DELETE - used to delete a Covata user.Note: The
GETandDELETEmethods take no parameters.
This API endpoint serves a number of purposes:
GET method of the <access-service>/api/v1/users API endpoint, which retrieves a list of field information for all Covata Platform users who can be filtered through a variety of 'search' criteria. GET method call to this API endpoint is also returned in the response from a GET method call to the <access-service>/api/v1/users endpoint. Therefore, there is no need to call the GET method on this API endpoint (if you do not already have the Covata user's ID).DELETE method of this API endpoint (which changes the state of all Secure Objects that the user currently owns to Deleted). If not, then the available storage space reported by the Covata Platform may remain significantly lower and will continue to do so, since the Covata Platform can no longer authenticate this user to obtain an access token required to manipulate these Secure Objects' data in storage through the Covata API.This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following optional parameters can be sent in the body of the PUT request, each as individual members of a JSON object:
roles - ROLE_SYSTEM_ADMIN, ROLE_COLLABORATOR, ROLE_ORIGINATOR, ROLE_ADHOC_COLLABORATOR or ROLE_USER_ADMIN.
Example ():
A JSON-formatted response containing the following members:
planId - .
Example (response from ...):